/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.api.deployable;


/**
 * Represents a WAR deployable.
 * @author Florent Benoit
 */
public interface WARDeployable extends IDeployable<WARDeployable> {

    /**
     * @return the list of the context root for this deployable.<br>
     * Note: It can be the context-root defined at the EAR level.
     */
    String getContextRoot();

    /**
     * Defines the name of the context-root.
     * @param contextRoot the given context-root for this war file
     */
    void setContextRoot(final String contextRoot);

}
