/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.util.ee.deploy.api.deployable.factory;

/**
 * Interface for FileDeployable factories that use factories to produce
 * file deployables.
 * @author mleduque
 */
public interface IFileDeployableFactoryManager extends IFileDeployableFactory {
    /**
     * Adds a factory to the managed ones.
     * @param factory the added factory.
     */
    public void addFileDeployableFactory(IFileDeployableFactory factory);
    /**
     * Removes a factory from the managed ones.
     * @param factory the removed factory.
     */
    public void removeFileDeployableFactory(IFileDeployableFactory factory);
}
