/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.util.ee.deploy.api.deployable.factory;


import org.ow2.util.ee.deploy.api.deployable.FileDeployable;

/**
 * Interface for the deployable factories that create factories from
 * XML files.
 * @author mleduque
 */
public interface XmlFileDeployableFactory extends IFileDeployableFactory {
    /**
     * Add a namespace-FileDeployable class mapping in the factory.
     * @param clazz the class.
     * @param nameSpace the namespace.
     */
    public void registerFileDeployable(final Class<? extends FileDeployable<?, ?>> clazz,
            final String nameSpace);

    /**
     *  Removes a namespace-FileDeployable class mapping from the factory.
     * @param nameSpace the namespace.
     */
    public void unregisterFileDeployable(final String nameSpace);

}
