/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.api.deployable.metadata;

/**
 * DeployableMetadataException.
 * @author Gael Lalire
 */
public class DeployableMetadataException extends Exception {

    /**
     * Generated serial id.
     */
    private static final long serialVersionUID = -5519031617167086024L;

    /**
     * Default constructor.
     */
    public DeployableMetadataException() {
    }

    /**
     * @param message the message
     */
    public DeployableMetadataException(final String message) {
        super(message);
    }

    /**
     * @param cause the cause
     */
    public DeployableMetadataException(final Throwable cause) {
        super(cause);
    }

    /**
     * @param message the message
     * @param cause the cause
     */
    public DeployableMetadataException(final String message, final Throwable cause) {
        super(message, cause);
    }

}
