/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.api.deployment.ear;

import java.util.List;

/**
 * An EAR is a collection of Modules.
 * @author Florent Benoit
 *
 */
public interface IEARInfo {

    /**
     * Default library directory.
     */
    String DEFAULT_LIBRARY_FOLDER = "lib";

    /**
     * @return list of modules.
     */
    List<Module> getModules();

    /**
     * @return list of Connector modules.
     */
    List<ConnectorModule> getConnectors();

    /**
     * @return list of EJB modules.
     */
    List<EJBModule> getEJBs();

    /**
     * @return list of Client container modules.
     */
    List<JavaModule> getClients();

    /**
     * @return list of Web modules.
     */
    List<WebModule> getWebs();

    /**
     * @return the library-directory.
     */
    String getLibraryDirectory();

}
