/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.impl.deployable;

import org.ow2.util.archive.api.IArchive;
import org.ow2.util.ee.deploy.api.deployable.WARDeployable;

/**
 * Implementation for a WAR.
 * @author Florent Benoit
 */
public class WARDeployableImpl extends AbsDeployable<WARDeployable> implements WARDeployable {

    /**
     * Name of the context-root.
     */
    private String contextRoot = null;

    /**
     * Defines and create a deployable for the given archive.
     * @param archive the given archive.
     */
    public WARDeployableImpl(final IArchive archive) {
        super(archive);
    }

    /**
     * @return the list of the context root for this deployable.<br>
     * Note: It can be the context-root defined at the EAR level.
     */
    public String getContextRoot() {
        return contextRoot;
    }

    /**
     * Defines the name of the context-root.
     * @param contextRoot the given context-root for this war file
     */
    public void setContextRoot(final String contextRoot) {
        this.contextRoot = contextRoot;
    }
}
