/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.impl.deployment.ear;

import org.ow2.util.ee.deploy.api.deployment.ear.Module;

/**
 * Defines a common abstract module.
 * @author Florent Benoit
 *
 */
public abstract class AbsModuleImpl implements Module {

    /**
     * Path to the module.
     */
    private String path = null;


    /**
     * Alternative Deployment descriptor.
     */
    private String altDd = null;

    /**
     * @return the Path to the module.
     */
    public String getPath() {
        return path;
    }

    /**
     * Defines the path for this module.
     * @param path the path to the module.
     */
    public void setPath(final String path) {
        this.path = path;
    }

    /**
     * @return alt-dd value.
     */
    public String getAltDd() {
        return altDd;
    }

    /**
     * Defines the alternative Deployment Desc for this module.
     * @param altDd the alternative Deployment Desc.
     */
    public void setAltDd(final String altDd) {
        this.altDd = altDd;
    }
}
