/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.impl.deployment.ear;

import org.ow2.util.ee.deploy.api.deployment.ear.WebModule;

/**
 * Defines a WEB module inside an application.xml file.
 * @author Florent Benoit
 */
public class WebModuleImpl extends AbsModuleImpl implements WebModule {

    /**
     * Name of the context-root.
     */
    private String contextRoot = null;

    /**
     * Gets the context-root name for this module.
     * @return the name of the context-root
     */
    public String getContextRoot() {
        return contextRoot;
    }

    /**
     * Sets the given context root.
     * @param contextRoot the given context-root value
     */
    public void setContextRoot(final String contextRoot) {
        this.contextRoot = contextRoot;
    }

}
