/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.impl.helper;

import java.io.File;

/**
 * Entry representing the data when we want to add data to an existing Deployable.
 * @author Florent BENOIT
 *
 */
public class DeployableEntry {

    /**
     * Path to the file that is representing the file to add.
     */
    private File file = null;

    /**
     * Name of the entry to add.
     */
    private String name = null;

    /**
     * @return the file of the entry.
     */
    public File getFile() {
        return file;
    }

    /**
     * Sets the file to use in this entry.
     * @param file the given file
     */
    public void setFile(final File file) {
        this.file = file;
    }

    /**
     * @return the name of the entry.
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of the entry.
     * @param name the given name entry
     */
    public void setName(final String name) {
        this.name = name;
    }

}
