/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.impl.helper;

/**
 * Unpack option to unpack an ear.
 * @author Gael Lalire
 */
public class EarUnpackOpts {

    /**
     * True if war archive are auto unpacked.
     */
    private boolean warAutoUnpacked;

    /**
     * Constructor.
     */
    public EarUnpackOpts() {
    }

    /**
     * @return true if war archive are auto unpacked
     */
    public boolean isWarAutoUnpacked() {
        return warAutoUnpacked;
    }

    /**
     * @param warAutoUnpacked true if you want war archive are auto unpacked
     */
    public void setWarAutoUnpacked(final boolean warAutoUnpacked) {
        this.warAutoUnpacked = warAutoUnpacked;
    }

}
