/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.deploy.impl.report;

import org.ow2.util.ee.deploy.api.deployable.IDeployable;
import org.ow2.util.ee.deploy.api.report.IDeploymentReport;

/**
 * {@inheritDoc}
 */
public class DeploymentReport implements IDeploymentReport {

    /**
     * The {@link IDeployable}
     */
    private IDeployable deployable;

    /**
     * True if the deployment of the deployable is a success.
     */
    private boolean isDeploymentOk;

    /**
     * The {@link Exception} (if the deployment of the deployable has failed)
     */
    private Exception exception;

    /**
     * {@inheritDoc}
     */
    public IDeployable getDeployable() {
        return this.deployable;
    }

    /**
     * {@inheritDoc}
     */
    public boolean isDeploymentOk() {
        return this.isDeploymentOk;
    }

    /**
     * {@inheritDoc}
     */
    public Exception getException() {
        return this.exception;
    }

    /**
     * @param deployable The {@link IDeployable} to set
     */
    public void setDeployable(IDeployable deployable) {
        this.deployable = deployable;
    }

    /**
     * @param exception The {@link Exception} to set
     */
    public void setException(Exception exception) {
        this.exception = exception;
    }

    /**
     * @param deploymentOk The deployment state to set
     */
    public void setDeploymentOk(boolean deploymentOk) {
        this.isDeploymentOk = deploymentOk;
    }
}
